| Haskell Hierarchical Libraries (base package) | Contents | Index

GHC.Stable

Portability | non-portable (GHC Extensions)
Stability | internal
Maintainer | ffi@haskell.org

Description
Stable pointers.
Documentation
data StablePtr a

Constructors

StablePtr (StablePtr# a) |

Instances

IArray UArray (StablePtr a)
Ix ix => Eq (UArray ix (StablePtr a))
MArray (STUArray s) (StablePtr a) (ST s)
IArray (IOToDiffArray IOUArray) (StablePtr a)
MArray IOUArray (StablePtr a) IO
Typeable a => Typeable (StablePtr a)
Storable (StablePtr a)
Eq (StablePtr a)

newStablePtr :: a -> IO (StablePtr a)
deRefStablePtr :: StablePtr a -> IO a
freeStablePtr :: StablePtr a -> IO ()
castStablePtrToPtr :: StablePtr a -> Ptr ()
castPtrToStablePtr :: Ptr () -> StablePtr a
Produced by Haddock version 0.6